reset

#unset title
set terminal svg size 700,524 fname 'Verdana' fsize 16
#set terminal pdf enhanced

set autoscale
set xtic auto
set ytic auto

set samples 1001  # high quality
#set border 31 linewidth .6
set border linewidth 1.5
#set xrange [0:1200]
#set yrange [0:80]
set ylabel "Zeit [s]"
unset key
#set key bottom right
set grid xtics ytics ls 3 lw 1 lt 0 lc rgb 'gray'

############################################
# define axis
# remove border on top and right and set color to gray
set style line 11 lc rgb '#808080' lt 1
#set border 3 back ls 11
set border 3 back
set tics nomirror
# define grid
set style line 12 lc rgb '#808080' lt 0 lw 1
set grid back ls 12

# color definitions
set style line 1 lc rgb '#8b1a0e' pt 13 ps 1 lt 1 lw 2 # --- red
set style line 2 lc rgb '#5e9c36' pt 7 ps 1 lt 1 lw 2 # --- green
set style line 3 lc rgb '#122a5d' pt 7 ps 1 lt 1 lw 2 # --- blue
############################################

# #set style data points
# set pointsize 1.2

set xlabel "Anzahl angewendeter Meta-Werte"
# #set title "1 bis 2 move Aufgaben"
set output "g1-h2-mvals-bis2m.svg"
plot "<(sed -n '1,12p' g1_h2_move_comp.txt)" using 9:2 with points ls 1

# #set title "1 bis 4 move Aufgaben"
set output "g1-h2-mvals-bis4m.svg"
plot "<(sed -n '1,17p' g1_h2_move_comp.txt)" using 9:2 with points ls 1

set output "g1-h2-mvals-all.svg"
plot "<(sed -n '1,22p' g1_h2_move_comp.txt)" using 9:2 with points ls 1

### operators/time:
set xlabel "Planlänge [Anzahl primitiver Aktionen]"
set output "g1-h2-ops-bis2m.svg"
plot "<(sed -n '1,12p' g1_h2_move_comp.txt)" using 4:2 with points ls 1

set output "g1-h2-ops-bis4m.svg"
#set xrange [0:65]
plot "<(sed -n '1,17p' g1_h2_move_comp.txt)" using 4:2 with points ls 1

set output "g1-h2-ops-all.svg"
set autoscale
plot "<(sed -n '1,22p' g1_h2_move_comp.txt)" using 4:2 with points ls 1

## compare with fape:
set output "chimp-fape-ops-bis2m.svg"
plot "<(sed -n '1,12p' g1_h2_move_comp.txt)" using 4:2 with points ls 1, "<(sed -n '1,12p' fape_result__robot_bring.txt)" using 4:3 with points ls 3

### operators/metavals 
set ylabel "Anzahl angewendeter Meta-Werte"
set output "g1-h2-ops_mvals-all.svg"
set autoscale
plot "<(sed -n '1,22p' g1_h2_move_comp.txt)" using 4:9 with points ls 1

unset key;  # no legend


set output 'dummy.svg'
plot "g1_h2_move_comp.txt" using 4:2 lt 1
