reset

#unset title
set terminal svg size 700,524 fname 'Verdana' fsize 16
#set terminal pdf enhanced

set autoscale
set xtic auto
set ytic auto

set samples 1001  # high quality
#set border 31 linewidth .6
set border linewidth 1.5
#set xrange [0:1200]
#set yrange [0:80]
set ylabel "Zeit [s]"
unset key
#set key bottom right
set grid xtics ytics ls 3 lw 1 lt 0 lc rgb 'gray'

############################################
# define axis
# remove border on top and right and set color to gray
set style line 11 lc rgb '#808080' lt 1
#set border 3 back ls 11
set border 3 back
set tics nomirror
# define grid
set style line 12 lc rgb '#808080' lt 0 lw 1
set grid back ls 12

# color definitions
set style line 1 lc rgb '#8b1a0e' pt 13 ps 1 lt 1 lw 2 # --- red
set style line 2 lc rgb '#5e9c36' pt 6 ps 1 lt 1 lw 2 # --- green
############################################

# #set style data points
# set pointsize 1.2

set xlabel "Anzahl angewendeter Meta-Werte"
# #set title "1 bis 4 move_object Aufgaben"
set output "mvals_1-4.svg"
plot "<(sed -n '1,18p' race_eval.txt)" using 8:2 with points ls 1

set output "mvals-10.svg"
plot "<(sed -n '1,41p' race_eval.txt)" using 8:2 with points ls 1

### time/operators:

set xlabel "Planlänge [Anzahl primitiver Aktionen]"
set output "ops_1-4.svg"
set xrange [0:65]
plot "<(sed -n '1,18p' race_eval.txt)" using 4:2 with points ls 1

set output "ops_1-10.svg"
set autoscale
plot "<(sed -n '1,41p' race_eval.txt)" using 4:2 with points ls 1

set output "ops_vals_1-10.svg"
splot "<(sed -n '1,41p' race_eval.txt)" using 4:8:2 with points pt 7

# 2 axis
set output 'ops-time-mvals.svg'

set yrange [0:190];
set ylabel "Zeit [s]";
set ytics 10 nomirror textcolor lt 1;

set y2range [0:1200];
set y2label "Anzahl angewendeter Meta-Werte";
set y2tics 100 nomirror textcolor lt 3;

unset key;  # no legend

plot "race_eval.txt" using 4:2 linetype 1, \
     "race_eval.txt" using 4:8 linetype 3 axes x1y2

set output 'objs-time-mvals.svg'
set xrange [0:11];
set xtics 1;
plot "race_eval.txt" using 9:2 linetype 1, \
     "race_eval.txt" using 9:8 linetype 3 axes x1y2

set output 'dummy.svg'
plot "race_eval.txt" using 4:2 lt 1
